package net.zmobile.ui.layout;

import java.util.Vector;

import net.zmobile.ge.ZRect;
import net.zmobile.ui.ZComponent;
import net.zmobile.ui.ZContainer;

public class ZFillLayout extends ZLayout{
	public static final byte V_LAYOUT = 0;
	public static final byte H_LAYOUT = 1;

	byte _type = V_LAYOUT;

	public ZFillLayout(byte type) {
		_type = type;
	}

	public void resize(ZRect rect, Vector components) {
		int size = components.size();
		switch (_type) {
		case V_LAYOUT:
			for (int i = 0; i < components.size(); i++) {
				ZComponent comp = (ZComponent) components.elementAt(i);
				comp.setBounds(rect.x, rect.y + rect.height * i / size,
						rect.width, rect.height / size);
				if(comp instanceof ZContainer){
					((ZContainer)comp).resize();
				}
			}
			break;
		case H_LAYOUT:
			for (int i = 0; i < components.size(); i++) {
				ZComponent comp = (ZComponent) components.elementAt(i);
				comp.setBounds(rect.x+rect.width* i / size, rect.y,
						rect.width/ size, rect.height);
				if(comp instanceof ZContainer){
					((ZContainer)comp).resize();
				}
			}
			break;
		}
	}
}
